### Method

# AppStream Component get_bundle

since: 0.8.0

#### Declaration [src]

    AsBundle*
    as_component_get_bundle (
      AsComponent* cpt,
      AsBundleKind bundle_kind
    )

#### Description [src]

Gets a bundle identifier string.

Available since: 0.8.0

#### Parameters

`bundle_kind`

  Type: `AsBundleKind`

  The bundle kind, e.g. `AS_BUNDLE_KIND_LIMBA`.

#### Return value

Type: `AsBundle`

An `AsBundle`, or `NULL` if not set.

The returned data is owned by the instance.
The return value can be `NULL`.